summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
Diffstat (limited to 'office')
-rw-r--r--office/xmind/README3
-rw-r--r--office/xmind/doinst.sh7
-rw-r--r--office/xmind/slack-desc19
-rw-r--r--office/xmind/xmind.SlackBuild83
-rw-r--r--office/xmind/xmind.info10
5 files changed, 122 insertions, 0 deletions
diff --git a/office/xmind/README b/office/xmind/README
new file mode 100644
index 0000000000..1d4b144059
--- /dev/null
+++ b/office/xmind/README
@@ -0,0 +1,3 @@
+XMind (Open Source Brainstorming and Mind Mapping Software)
+
+This script will repackage the debian binary.
diff --git a/office/xmind/doinst.sh b/office/xmind/doinst.sh
new file mode 100644
index 0000000000..9a8ded3c60
--- /dev/null
+++ b/office/xmind/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/office/xmind/slack-desc b/office/xmind/slack-desc
new file mode 100644
index 0000000000..e9017d97df
--- /dev/null
+++ b/office/xmind/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xmind: XMind (brainstorming and mind mapping tool)
+xmind:
+xmind: XMind is an open source brainstorming and mind mapping software tool
+xmind: developed by XMind Ltd. As of version 3.2.0, it is crippleware, that
+xmind: is a freeware version of a full program, with a significant number of
+xmind: features advertised, but not available until a paid upgrade is made.
+xmind: The program is intended to assist users in capturing ideas, organizing
+xmind: various charts, and share them with collaboration.
+xmind:
+xmind: http://www.xmind.net/
+xmind:
diff --git a/office/xmind/xmind.SlackBuild b/office/xmind/xmind.SlackBuild
new file mode 100644
index 0000000000..c8309b4190
--- /dev/null
+++ b/office/xmind/xmind.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+#
+# Slackware build script for XMind
+
+# Copyright 2011 Vegard Haugland, Kristiansand, Norway
+# All rights reserved.
+#
+# Based on Slackware build script for Google Chrome, by Erik Hanson.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xmind
+VERSION=3.2.1.201011212218
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "$(uname -m)" in
+ i?86) DEBARCH="i386" ; LIBDIRSUFFIX="" ; ARCH=i386 ;;
+ x86_64) DEBARCH="amd64" ; LIBDIRSUFFIX="64" ; ARCH=x86_64 ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+# Get the real version, thanks to Fred Richards.
+REAL_VER=$(ar p xmind-${VERSION}_${DEBARCH}.deb control.tar.gz | tar zxO ./control | grep Version | awk '{print $2}' | cut -d- -f1)
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/xmind-${VERSION}_${DEBARCH}.deb data.tar.gz | gunzip -d | tar xv
+
+# Move from /usr/local/xmind to /opt/xmind
+mkdir -p $PKG/opt
+mv $PKG/usr/local/xmind/ $PKG/opt/
+rmdir $PKG/usr/local
+
+# Create launch script
+mkdir -p $PKG/usr/bin
+cat > $PKG/usr/bin/xmind << XMIND
+#!/bin/sh
+/opt/xmind/xmind
+XMIND
+chmod +x $PKG/usr/bin/xmind
+
+# Modify executable in xmind.desktop
+sed -i 's#/usr/local/#/opt/#' $PKG/usr/share/applications/xmind.desktop
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+chmod 0755 $PKG # Put this back.
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$REAL_VER
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$REAL_VER/$PRGNAM.SlackBuild
+ln -s /opt/xmind/readme.txt $PKG/usr/doc/$PRGNAM-$REAL_VER/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$REAL_VER-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/xmind/xmind.info b/office/xmind/xmind.info
new file mode 100644
index 0000000000..37ab86d001
--- /dev/null
+++ b/office/xmind/xmind.info
@@ -0,0 +1,10 @@
+PRGNAM="xmind"
+VERSION="3.2.1.201011212218"
+HOMEPAGE="http://www.xmind.net/"
+DOWNLOAD="http://dl2.xmind.net/xmind-downloads/xmind-3.2.1.201011212218_i386.deb"
+MD5SUM="8ffdf95dd1dfd5d37b5190562f2768a1"
+DOWNLOAD_x86_64="http://dl2.xmind.net/xmind-downloads/xmind-3.2.1.201011212218_amd64.deb"
+MD5SUM_x86_64="d08060971bd6eb3531024e81950eee52"
+MAINTAINER="Vegard Haugland"
+EMAIL="vegard@haugland.at"
+APPROVED="Niels Horn"